Update views batch job

View as Markdown
Update an existing views batch job.

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

viewsBatchJobIdstringRequired

Request

Views batch job details to update.
namestringOptional3-50 characters
Updated name of the views batch job.

Response

Views batch job successfully updated.
idstring
Unique ID of the batch job.
namestring3-50 characters
Name of the batch job.
accountobject
views_batch_configurationobject
statusenum
created_atdatetime
Timestamp when the batch job was created.
modelobject
workspaceobject
compute_configurationobject
maximum_runtime_secondsinteger>=1
Specifies the maximum allowed runtime, in seconds, for the training job.
stagestring
The current stage of the job.
progressdouble
The overall progress of the job.
created_byobject or null
Reference of the user who created the batch job, if known.
updated_atdatetime
Timestamp when the batch job was last updated.
views_batcheslist of objects
List of views batches associated with the views batch job.

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
409
Conflict Error
500
Internal Server Error